This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 576830 - RFE: QEMU aio: Support configuration of aio mode against disks
RFE: QEMU aio: Support configuration of aio mode against disks
Status: CLOSED CURRENTRELEASE
Product: Virtualization Tools
Classification: Community
Component: libvirt (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Veillard
:
Depends On:
Blocks: libvirtTodoHV
  Show dependency treegraph
 
Reported: 2010-03-25 07:53 EDT by Ruben Kerkhof
Modified: 2011-07-07 10:29 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-07 10:29:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ruben Kerkhof 2010-03-25 07:53:08 EDT
Description of problem:

Qemu-kvm support the aio=threads|native option.
There's currently no way to use this from libvirt.

It would be great if this could be added to the <driver/> element.
Comment 1 Daniel Berrange 2011-07-07 10:29:54 EDT
commit 91ef4e05eac546f8ffdb18979cd21e4aee3dcbfd
Author: Matthias Dahl <mdvirt@designassembly.de>
Date:   Wed Apr 21 16:28:21 2010 +0200

    qemu aio: add XML parsing
    
    Allows io={threads|native} as an optional attribute to <driver>.
    
    Signed-off-by: Eric Blake <eblake@redhat.com>

Note You need to log in before you can comment on or make changes to this bug.